//Copyright © 2015-2017, Verizon and/or its Licensors. All rights reserved.

#import <Foundation/Foundation.h>

/*!
 * This class stores the response recieved from the OAuth 2 login page.
 */
@interface PCOAuthLoginPageResponse : NSObject

/*!
 * Response is either authcode, 'access_denied' or 'cancelled'.
 * Authcode is returned in case of successfull OAuth login.
 * 'access_denied' is returned if user click deny option in consent web page.
 * 'cancelled' is returned if user click on Cancel option in Login page
 */
@property (nonatomic, readonly) NSString *response;

@end
