//Copyright © 2015-2017, Verizon and/or its Licensors. All rights reserved.

#import "PCResourceAPIParams.h"

/*!
 * PCRenameVFolderAPIParams stores all the parameters required to rename a virtual folder for the user.
 */
@interface PCRenameVFolderAPIParams : PCResourceAPIParams

/*!
 * Name of the virtual folder (required).
 */
@property (nonatomic, copy) NSString *src;

/*!
 * Changed name of the virtual folder (required).
 */
@property (nonatomic, copy) NSString *target;
@end
