//Copyright © 2015-2017, Verizon and/or its Licensors. All rights reserved.

#import <UIKit/UIKit.h>

@class ImageDownloadView;
@protocol ImageGridCellDelegate;

@interface ImageGridCell : UICollectionViewCell

@property (weak, nonatomic) IBOutlet ImageDownloadView *imageView;
@property (weak, nonatomic) IBOutlet UIActivityIndicatorView *spinner;
@property (weak, nonatomic) IBOutlet UIView *progressView;
@property (weak, nonatomic) IBOutlet UIProgressView *progressBar;
@property (weak, nonatomic) IBOutlet UILabel *titlelabel;
@property (weak, nonatomic) id <ImageGridCellDelegate> gridCellDelegate;

@end

@protocol ImageGridCellDelegate <NSObject>

// Custom cell method to handle long pressed in ImageGridCell.
- (void)gridCellDidLongPressed:(ImageGridCell *)cell;

@end
