//Copyright © 2015-2017, Verizon and/or its Licensors. All rights reserved.

#import "SearchResultsViewController.h"
#import "UIViewController+RightBarButtonAction.h"

@interface FileGridViewController (Protected)

@property (nonatomic, retain) UIRefreshControl *refreshControl;

@end


@interface SearchResultsViewController ()

@end

@implementation SearchResultsViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    self.navigationItem.title = NSLocalizedString(@"Search Results", nil);
    
    [self addRightBarButtonItemWithActions:[NSNumber numberWithInt:accountInfoRightBarAction], [NSNumber numberWithInt:signOutRightBarAction], nil];
}

- (void)reloadData {
    [self.refreshControl endRefreshing];
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
