//Copyright © 2015-2017, Verizon and/or its Licensors. All rights reserved.

#import "PCResourceAPIParams.h"

/*!
 * PCSetFavoritesAPIParams stores all the parameters required to mark the list of files or folders as favorites.
 */

@interface PCSetFavoritesAPIParams : PCResourceAPIParams

/*!
 *  An array contains URI of file and folder. This is a URI value obtained from a fullview or metadata response. Array[string] (required)
 */
@property (nonatomic, copy) NSArray *uri;


@end
