//Copyright © 2015-2017, Verizon and/or its Licensors. All rights reserved.

#import "ContactsNavigationController.h"
#import <ContactsUI/ContactsUI.h>

@implementation ContactsNavigationController

/*!
 * hack to fix a bug in iOS 9. Never allow CNContactViewController to hide the navigation bar
 */
- (void)setNavigationBarHidden:(BOOL)hidden animated:(BOOL)animated {

    if ([self.topViewController isKindOfClass:[CNContactViewController class]]) {
        [super setNavigationBarHidden:NO animated:animated];
    } else {
    
        [super setNavigationBarHidden:hidden animated:animated];
    }
}

@end
