//Copyright © 2015-2017, Verizon and/or its Licensors. All rights reserved.

#import "PCResourceAPIParams.h"

/*!
 * PCDeleteFavoritesAPIParams stores all the parameters required to unmark file or folder as favorites.
 */

@interface PCDeleteFavoritesAPIParams : PCResourceAPIParams

/*!
 *  URI of the resource. This is a URI value obtained from a fullview or metadata response. (required)
 */
@property (nonatomic, copy) NSString *uri;

@end
