//Copyright © 2015-2017, Verizon and/or its Licensors. All rights reserved.

/*!
 * Category class to get more information of file.
 */

#import "PCAPISDKCommonHeader.h"
typedef enum {
    
    imageFileType,
    musicFileType,
    videoFileType,
    documentFileType,
    unknowFileType
} fileType;


@interface PCFile (Info)

// Convert PCFile to NSAttributedString.
- (NSAttributedString *)fileInfoWithTags:(PCTags*)tag;

// Return type of file.
- (fileType)fileType;

// Return path to cache thumbnail image for this file.
- (NSString *)thumbnailCachePath;

// Return path to cache download image for this file.
- (NSString *)fileCachePath;

@end
